// WordPress dependencies
import { InnerBlocks, useBlockProps } from '@wordpress/block-editor';
import { registerBlockType } from '@wordpress/blocks';

// Internal dependencies
import block from './block.json';
import edit from './edit';

registerBlockType(
    block.name,
    {
        title: block.title,
        category: block.category,
        description: block.description,
        icon: block.icon,
        apiVersion: block.apiVersion,
        supports: block.supports,
        attributes: block.attributes,
        edit,
        save: () => <InnerBlocks.Content {...useBlockProps.save()} />,
    }
);
